Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.ecore.swt.internal
Class AddEClassifierOnlyEDataTypeReferenceAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.ecp.edit.spi.swt.actions.ECPSWTAction
                      org.eclipse.emf.ecp.edit.spi.swt.reference.AddReferenceAction
                          org.eclipse.emf.ecp.edit.ecore.swt.internal.AddEClassifierReferenceAction
                              org.eclipse.emf.ecp.edit.ecore.swt.internal.AddEClassifierOnlyEDataTypeReferenceAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class AddEClassifierOnlyEDataTypeReferenceAction

extends AddEClassifierReferenceAction

An action to select an `EClassifier` which is an `EDataType`. Will be used for editing the type of an `EAttribute`.

Author:
  jfaltermeier

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AddEClassifierOnlyEDataTypeReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.emf.ecore.EStructuralFeature.Setting setting, org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor, ReferenceService referenceService, Set<org.eclipse.emf.ecore.EPackage> packages)` Constructor.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.edit.ecore.swt.internal.AddEClassifierReferenceAction
`run`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.swt.actions.ECPSWTAction
`equals, getEditingDomain, hashCode`

Methods inherited from class org.eclipse.jface.action.Action
`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddEClassifierOnlyEDataTypeReferenceAction

    public AddEClassifierOnlyEDataTypeReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                                      org.eclipse.emf.ecore.EStructuralFeature.Setting setting,
                                                      org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor,
                                                      ReferenceService referenceService,
                                                      Set<org.eclipse.emf.ecore.EPackage> packages)

  Constructor.

  Parameters:
    `editingDomain` - the `EditingDomain` to use
    `setting` - the `EStructuralFeature.Setting` to use
    `itemPropertyDescriptor` - the `IItemPropertyDescriptor` to use
    `referenceService` - the `ReferenceService` to use
    `packages` - the `EPackage`s to use

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.